function nearest_c = NearestCentroids(X, centroids)
%function nearest_c = NearestCentroids(X, centroids)
%
% this functions takes as arguments 
%   X           the data set
%   centroids   the current centroids
%
% it returns 
%   nearest_c 
% a vector of length num_data_points, of which the entries are
% the index of the nearest centroid.
%
% That is, if the j-th centroid is the centroid nearest to data 
% point i, then nearest_c[i] = j.
%

[num_data_point, num_dims] = size(X);
[num_centroids, num_dims] = size(centroids);

% implement this function. Make sure to assign the variable nearest_c
% with the result.

TODO

return

