X = [
1, 1
1, 2
2, 1
2, 2
];
centroids = [
0, 0
0, 3
3, 3.5
];
number_of_centroids = size(centroids, 1);

%% === Part 1: Find Nearest Centroids ===
nearest_centroid_index = NearestCentroids(X, centroids);
PlotDataAndCentroids(X, centroids, nearest_centroid_index, number_of_centroids);
fprintf('Nearest centroids for the 4 examples: \n')
fprintf(' %d', nearest_centroid_index(1:4));
fprintf('\n(should be 1, 2, 1, 3 respectively)\n');
fprintf('Press enter to continue.\n');
pause;

%% === Part 2: Compute Means ===
centroids = UpdateCentroids(X, nearest_centroid_index, number_of_centroids);
PlotDataAndCentroids(X, centroids, nearest_centroid_index, number_of_centroids);
fprintf('Updated centroids: \n');
fprintf(' %f %f \n' , centroids');
fprintf('\nthe centroids should be:\n');
fprintf(' [ 1.500000 1.000000 ]\n');
fprintf(' [ 1.500000 1.500000 ]\n');
fprintf(' [ 2.000000 2.000000 ]\n\n');
fprintf('Press enter to continue.\n');
pause;

%% === Part 3: Perform a k-means on a random data set ===
load('3randomclusters.mat');
num_clusters = TODO;
init_centroids = kMeansInitialization(X, num_clusters)
max_iters = 20;
plot_progress = true;
[centroids, index] = kMeans(X, init_centroids, max_iters, plot_progress);

